
From: William Lee Irwin III <wli@holomorphy.com>

put_page_testzero() does BUG_ON(page_count(page)) when its argument is p.



 25-akpm/include/linux/mm.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/mm.h~put_page_testzero-fix include/linux/mm.h
--- 25/include/linux/mm.h~put_page_testzero-fix	Thu May 15 15:31:48 2003
+++ 25-akpm/include/linux/mm.h	Thu May 15 15:31:48 2003
@@ -218,7 +218,7 @@ struct page {
  */
 #define put_page_testzero(p)				\
 	({						\
-		BUG_ON(page_count(page) == 0);		\
+		BUG_ON(page_count(p) == 0);		\
 		atomic_dec_and_test(&(p)->count);	\
 	})
 

_
